=== debian/changelog ===
mapserver (7.6.4-2build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 16:36:40 +0100

mapserver (7.6.4-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 15 Jan 2022 08:37:17 +0000

mapserver (7.6.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Drop --autodest from dh_install.
  * Don't use ttf-bitstream-vera package.
    (closes: #998263)
  * Drop PHP packages, incompatible with PHP 8.x.
    (closes: #977658)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Nov 2021 14:40:40 +0100

mapserver (7.6.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:35:51 +0200

mapserver (7.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 7.6.4.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jul 2021 05:56:21 +0200

mapserver (7.6.2-2) unstable; urgency=high

  * Drop unused lintian overrides.
  * Add upstream patches to fix CVE-2021-32062.
    (closes: #988208)
  * Update symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 May 2021 07:12:18 +0200
